DROP TABLE IF EXISTS dbo.Users
GO

CREATE TABLE dbo.Users
(
	UserId BIGINT PRIMARY KEY IDENTITY (1, 1),
    Username VARCHAR (20) NOT NULL,
	FullName VARCHAR (100) NOT NULL,
    EmailAddress VARCHAR (100) NOT NULL,
	Password VARCHAR (500) NOT NULL,
	PasswordSalt VARCHAR (100) NOT NULL,
	RoleId BIGINT NOT NULL,
	IsActive BIT NOT NULL,
	CreatedBy VARCHAR (20) NOT NULL,
	CreatedDate DATETIME NOT NULL,
	UpdatedBy VARCHAR (20) NULL,
	UpdatedDate DATETIME NULL,
    FOREIGN KEY (RoleId) REFERENCES dbo.Roles (RoleId)
)
GO
